Method: testers

  • Inviting a phone number adds the user as a tester.

  • Invited users must be RCS-enabled and reachable by the RBM platform, confirming their desire to be a tester.

  • Agents are limited to 20 tester requests per day and a total of 200 requests, exceeding which results in a 429 RESOURCE_EXHAUSTED error.

  • Adding testers uses an HTTP POST request to https://businesscommunications.googleapis.com/v1/testers with specific authorization scopes.

Sends an invite to a phone number to be added as a tester.

The invited user must be RCS-enabled and reachable by the RCS for Business platform. When an agent invites a user to become a tester, an RCS for Business platform management agent sends a message to the user asking for confirmation that she wants to be a tester of the agent. Once the user confirms, she becomes a tester.

An agent can send 20 tester requests each day with a total maximum of 200 tester requests. If you send tester requests above those limits, the RCS for Business platform returns a 429 RESOURCE_EXHAUSTED response.

HTTP request

POST https://businesscommunications.googleapis.com/v1/testers

The URL uses gRPC Transcoding syntax.

Request body

The request body contains an instance of Tester.

Response body

If successful, the response body contains an instance of Tester.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/businesscommunications

For more information, see the OAuth 2.0 Overview.